Patch file generated Wed Apr 18 00:07:16 NZST 2007 from
CVS branch ayjwork
CVS base branch HEAD
CVS repository: amosjeffries@cvs.devel.squid-cache.org:/cvsroot/squid
CVS module: squid3

cvs -q rdiff -u -kk -r Z-ayjwork_merge_HEAD -r ayjwork squid3
Index: squid3/doc/debug-sections.txt
diff -u squid3/doc/debug-sections.txt:1.6 squid3/doc/debug-sections.txt:1.6.22.1
--- squid3/doc/debug-sections.txt:1.6	Tue Jul 22 19:12:50 2003
+++ squid3/doc/debug-sections.txt	Tue Apr 17 04:34:41 2007
@@ -1,13 +1,27 @@
+
+ * DEBUG:
+none
+none          Common Removal Policy
+none          ETag parsing support
+none          FDE
+none          Generate squid.conf.default and cf_parser.h
+none          Linked list functions (deprecated)
+none          LRU Removal Policy
+none          Memory Allocation
+none          Refcount allocator
 section 0     Announcement Server
-section 0     CGI Cache Manager
 section 0     Client Database
 section 0     Debug Routines
 section 0     DNS Resolver
-section 0     WWW Client
+section 0     Hash Tables
+section 0     UFS Store Dump
+section --    External DISKD process implementation.
+section 1     Main Loop
 section 1     Startup and Main Loop
 section 2     Unlink Daemon
 section 3     Configuration File Parsing
 section 4     Error Generation
+section 5     Comms
 section 5     Socket Functions
 section 6     Disk I/O Routines
 section 7     Multicast
@@ -24,40 +38,58 @@
 section 18    Cache Manager Statistics
 section 19    Store Memory Primitives
 section 20    Storage Manager
+section 20    Storage Manager Heap-based replacement
+section 20    Storage Manager Logging Functions
+section 20    Storage Manager MD5 Cache Keys
+section 20    Storage Manager Swapfile Metadata
+section 20    Storage Manager Swapfile Unpacker
+section 20    Storage Manager Swapin Functions
+section 20    Storage Manager Swapout Functions
+section 20    Store Rebuild Routines
+section 20    Swap Dir base object
+section 21    Integer functions
 section 21    Misc Functions
+section 21    Time Functions
 section 22    Refresh Calculation
 section 23    URL Parsing
-section 24    WAIS Relay
+section 23    URL Scheme parsing
 section 25    MIME Parsing
 section 26    Secure Sockets Layer Proxy
 section 27    Cache Announcer
 section 28    Access Control
 section 29    Authenticator
+section 29    Negotiate Authenticator
+section 29    NTLM Authenticator
 section 30    Ident (RFC 931)
 section 31    Hypertext Caching Protocol
 section 32    Asynchronous Disk I/O
 section 33    Client-side Routines
 section 34    Dnsserver interface
 section 35    FQDN Cache
-section 36    Cache Directory Cleanup
 section 37    ICMP Routines
 section 38    Network Measurement Database
 section 39    Cache Array Routing Protocol
-section 40    User-Agent and Referer logging
+section 40    Referer Logging
+section 40    User-Agent Logging
 section 41    Event Processing
 section 42    ICMP Pinger program
 section 43    AIOPS
+section 43    Windows AIOPS
 section 44    Peer Selection Algorithm
 section 45    Callback Data Registry
 section 46    Access Log
+section 47    Store COSS Directory Routines
 section 47    Store Directory Routines
 section 48    Persistent Connections
-section 49    SNMP
+section 49    SNMP Interface
+section 49    SNMP support
 section 50    Log file handling
 section 51    Filedescriptor Functions
 section 52    URN Parsing
 section 53    AS Number handling
+section 53    Radix Tree data structure implementation
 section 54    Interprocess Communication
+section 54    Windows Interprocess Communication
 section 55    HTTP Header
 section 56    HTTP Message Body
 section 57    HTTP Status-line
@@ -66,7 +98,7 @@
 section 60    Packer: A uniform interface to store-like modules
 section 61    Redirector
 section 62    Generic Histogram
-section 63    -
+section 63    Low Level Memory Pool Management
 section 64    HTTP Range Header
 section 65    HTTP Cache Control Header
 section 66    HTTP Header Tools
@@ -81,18 +113,25 @@
 section 75    WHOIS protocol
 section 76    Internal Squid Object handling
 section 77    Delay Pools
-section 78    DNS lookups
-section 79    Lowlevel store I/O
-section 80    WCCP
-section 81    Cache Store
+section 78    DNS lookups; interacts with lib/rfc1035.c
+section 79    Disk IO Routines
+section 79    Squid-side DISKD I/O functions.
+section 79    Squid-side Disk I/O functions.
+section 79    Storage Manager COSS Interface
+section 79    Storage Manager UFS Interface
+section 80    WCCP Support
+section 81    aio_xxx() POSIX emulation on Windows
+section 81    CPU Profiling Routines
+section 81    Store HEAP Removal Policies
 section 82    External ACL
 section 83    SSL accelerator support
 section 84    Helper process maintenance
-section 85    Client side request management - after parsing, before caching
+section 85    Client-side Request Routines
 section 86    ESI processing
-section 87    client side stream management
-section 88    Client side reply management - from store to stream
-section 89    NAT / IP Interception
-section 90    Store Client
-section 91    Http Surrogate-Control Header
-section 92    Store File System
+section 87    Client-side Stream routines.
+section 88    Client-side Reply Routines
+section 89    NAT / IP Interception 
+section 90    HTTP Cache Control Header
+section 90    Storage Manager Client-Side Interface
+section 92    Storage File System
+section 93    ICAP (RFC 3507) Client
Index: squid3/doc/mk-debugs.sh
diff -u squid3/doc/mk-debugs.sh:1.1 squid3/doc/mk-debugs.sh:1.1.44.1
--- squid3/doc/mk-debugs.sh:1.1	Sun Oct 13 17:18:06 2002
+++ squid3/doc/mk-debugs.sh	Tue Apr 17 04:34:43 2007
@@ -1,4 +1,5 @@
-cat ../src/*.c \
-	| grep DEBUG: \
+cat ../{src,lib,include}/*{.,/*.,/*/*.,/*/*/*.}{c,cc,h} 2>/dev/null \
+	| grep " DEBUG:" \
 	| sed -e 's/ \* DEBUG: //' \
+	| sort -u \
 	| sort -n +1
Index: squid3/include/RefCount.h
diff -u squid3/include/RefCount.h:1.10 squid3/include/RefCount.h:1.10.4.1
--- squid3/include/RefCount.h:1.10	Thu Apr  5 21:50:40 2007
+++ squid3/include/RefCount.h	Tue Apr 17 04:34:52 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section xx    Refcount allocator
+ * DEBUG: none          Refcount allocator
  * AUTHOR:  Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/lib/Profiler.c
diff -u squid3/lib/Profiler.c:1.6 squid3/lib/Profiler.c:1.6.4.1
--- squid3/lib/Profiler.c:1.6	Tue Nov 21 22:50:58 2006
+++ squid3/lib/Profiler.c	Tue Apr 17 04:34:53 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 81     CPU Profiling Routines
+ * DEBUG: section 81    CPU Profiling Routines
  * AUTHOR: Andres Kroonmaa, Sep.2000
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
Index: squid3/lib/radix.c
diff -u squid3/lib/radix.c:1.4 squid3/lib/radix.c:1.4.18.1
--- squid3/lib/radix.c:1.4	Tue Dec 21 08:37:16 2004
+++ squid3/lib/radix.c	Tue Apr 17 04:35:14 2007
@@ -1,7 +1,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 53     Radix tree data structure implementation
+ * DEBUG: section 53    Radix Tree data structure implementation
  * AUTHOR: NetBSD Derived
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/ACLChecklist.cci
diff -u squid3/src/ACLChecklist.cci:1.3 squid3/src/ACLChecklist.cci:1.3.24.1
--- squid3/src/ACLChecklist.cci:1.3	Sun Jul  6 19:12:57 2003
+++ squid3/src/ACLChecklist.cci	Tue Apr 17 04:35:25 2007
@@ -1,7 +1,7 @@
 /*
  * $Id$
  *
- * DEBUG: none
+ * DEBUG: section 28    Access Control
  * AUTHOR: Henrik Nordstrom
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/AuthScheme.cc
diff -u squid3/src/AuthScheme.cc:1.1 squid3/src/AuthScheme.cc:1.1.22.1
--- squid3/src/AuthScheme.cc:1.1	Mon Aug 30 19:14:26 2004
+++ squid3/src/AuthScheme.cc	Tue Apr 17 04:35:52 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 29	Authenticator
+ * DEBUG: section 29    Authenticator
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/CommRead.h
diff -u squid3/src/CommRead.h:1.7 squid3/src/CommRead.h:1.7.8.1
--- squid3/src/CommRead.h:1.7	Sun Aug  6 19:51:13 2006
+++ squid3/src/CommRead.h	Tue Apr 17 04:35:56 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 5    Comms
+ * DEBUG: section 5     Comms
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/ConfigOption.cc
diff -u squid3/src/ConfigOption.cc:1.1 squid3/src/ConfigOption.cc:1.1.22.1
--- squid3/src/ConfigOption.cc:1.1	Mon Dec 20 19:14:16 2004
+++ squid3/src/ConfigOption.cc	Tue Apr 17 04:36:00 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ??    Swap Dir base object
+ * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/ProfStats.cc
diff -u squid3/src/ProfStats.cc:1.11 squid3/src/ProfStats.cc:1.11.4.1
--- squid3/src/ProfStats.cc:1.11	Wed Nov 22 00:51:10 2006
+++ squid3/src/ProfStats.cc	Tue Apr 17 04:36:04 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 81     CPU Profiling Routines
+ * DEBUG: section 81    CPU Profiling Routines
  * AUTHOR: Andres Kroonmaa
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
Index: squid3/src/RemovalPolicy.cc
diff -u squid3/src/RemovalPolicy.cc:1.1 squid3/src/RemovalPolicy.cc:1.1.16.1
--- squid3/src/RemovalPolicy.cc:1.1	Sun Aug 20 18:51:49 2006
+++ squid3/src/RemovalPolicy.cc	Tue Apr 17 04:36:25 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ?     Common Removal policy
+ * DEBUG: none          Common Removal Policy
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/SquidNew.cc
diff -u squid3/src/SquidNew.cc:1.1 squid3/src/SquidNew.cc:1.1.26.1
--- squid3/src/SquidNew.cc:1.1	Mon Jul  7 19:12:39 2003
+++ squid3/src/SquidNew.cc	Tue Apr 17 04:36:44 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ??? 		Memory Allocation
+ * DEBUG: none          Memory Allocation
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/StoreIOState.cc
diff -u squid3/src/StoreIOState.cc:1.5 squid3/src/StoreIOState.cc:1.5.8.1
--- squid3/src/StoreIOState.cc:1.5	Mon May 22 13:50:47 2006
+++ squid3/src/StoreIOState.cc	Tue Apr 17 04:36:52 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ??    Swap Dir base object
+ * DEBUG: section 20    Swap Dir base object
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/SwapDir.cc
diff -u squid3/src/SwapDir.cc:1.7 squid3/src/SwapDir.cc:1.7.18.1
--- squid3/src/SwapDir.cc:1.7	Mon Jan  3 19:13:38 2005
+++ squid3/src/SwapDir.cc	Tue Apr 17 04:36:53 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ??    Swap Dir base object
+ * DEBUG: section 20    Swap Dir base object
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/comm_epoll.cc
diff -u squid3/src/comm_epoll.cc:1.14 squid3/src/comm_epoll.cc:1.14.4.1
--- squid3/src/comm_epoll.cc:1.14	Sat Sep  2 21:50:40 2006
+++ squid3/src/comm_epoll.cc	Tue Apr 17 04:36:56 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 5    Socket functions
+ * DEBUG: section 5     Socket Functions
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
Index: squid3/src/comm_kqueue.cc
diff -u squid3/src/comm_kqueue.cc:1.8 squid3/src/comm_kqueue.cc:1.8.4.1
--- squid3/src/comm_kqueue.cc:1.8	Tue Nov 21 22:50:58 2006
+++ squid3/src/comm_kqueue.cc	Tue Apr 17 04:36:57 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 5    Socket functions
+ * DEBUG: section 5     Socket Functions
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
Index: squid3/src/fde.cc
diff -u squid3/src/fde.cc:1.6 squid3/src/fde.cc:1.6.4.1
--- squid3/src/fde.cc:1.6	Sat Sep  2 06:52:12 2006
+++ squid3/src/fde.cc	Tue Apr 17 04:37:05 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ??	FDE
+ * DEBUG: none          FDE
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/list.cc
diff -u squid3/src/list.cc:1.1 squid3/src/list.cc:1.1.22.1
--- squid3/src/list.cc:1.1	Mon Jan  3 19:13:39 2005
+++ squid3/src/list.cc	Tue Apr 17 04:37:14 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ??    Linked list functions 
+ * DEBUG: none          Linked list functions (deprecated)
  * AUTHOR: Harvest Derived
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/referer.cc
diff -u squid3/src/referer.cc:1.3 squid3/src/referer.cc:1.3.24.1
--- squid3/src/referer.cc:1.3	Fri Feb 21 19:14:35 2003
+++ squid3/src/referer.cc	Tue Apr 17 04:37:17 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 40    User-Agent and Referer logging
+ * DEBUG: section 40    Referer Logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com> (useragent)
  *         Jens-S. Vckler <voeckler@rvs.uni-hannover.de> (mod 4 referer)
  *
Index: squid3/src/snmp_agent.cc
diff -u squid3/src/snmp_agent.cc:1.11 squid3/src/snmp_agent.cc:1.11.4.1
--- squid3/src/snmp_agent.cc:1.11	Thu Nov  9 08:50:24 2006
+++ squid3/src/snmp_agent.cc	Tue Apr 17 04:37:20 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 49     SNMP Interface
+ * DEBUG: section 49    SNMP Interface
  * AUTHOR: Kostas Anagnostakis
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/useragent.cc
diff -u squid3/src/useragent.cc:1.3 squid3/src/useragent.cc:1.3.8.1
--- squid3/src/useragent.cc:1.3	Fri May 12 06:49:57 2006
+++ squid3/src/useragent.cc	Tue Apr 17 04:37:22 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section 40    User-Agent logging
+ * DEBUG: section 40    User-Agent Logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com>
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/ICAP/ICAPModXact.cc
diff -u squid3/src/ICAP/ICAPModXact.cc:1.19 squid3/src/ICAP/ICAPModXact.cc:1.19.4.1
--- squid3/src/ICAP/ICAPModXact.cc:1.19	Thu Apr  5 22:52:43 2007
+++ squid3/src/ICAP/ICAPModXact.cc	Tue Apr 17 04:37:32 2007
@@ -1,5 +1,5 @@
 /*
- * DEBUG: section 93  ICAP (RFC 3507) Client
+ * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
 #include "squid.h"
Index: squid3/src/ICAP/ICAPOptXact.cc
diff -u squid3/src/ICAP/ICAPOptXact.cc:1.5 squid3/src/ICAP/ICAPOptXact.cc:1.5.4.1
--- squid3/src/ICAP/ICAPOptXact.cc:1.5	Thu Apr  5 22:52:43 2007
+++ squid3/src/ICAP/ICAPOptXact.cc	Tue Apr 17 04:37:35 2007
@@ -1,5 +1,5 @@
 /*
- * DEBUG: section 93  ICAP (RFC 3507) Client
+ * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
 #include "squid.h"
Index: squid3/src/ICAP/ICAPServiceRep.cc
diff -u squid3/src/ICAP/ICAPServiceRep.cc:1.7 squid3/src/ICAP/ICAPServiceRep.cc:1.7.4.1
--- squid3/src/ICAP/ICAPServiceRep.cc:1.7	Thu Apr  5 22:52:44 2007
+++ squid3/src/ICAP/ICAPServiceRep.cc	Tue Apr 17 04:37:39 2007
@@ -1,5 +1,5 @@
 /*
- * DEBUG: section 93  ICAP (RFC 3507) Client
+ * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
 #include "squid.h"
Index: squid3/src/ICAP/ICAPXaction.cc
diff -u squid3/src/ICAP/ICAPXaction.cc:1.12 squid3/src/ICAP/ICAPXaction.cc:1.12.2.1
--- squid3/src/ICAP/ICAPXaction.cc:1.12	Sun Apr 15 08:01:07 2007
+++ squid3/src/ICAP/ICAPXaction.cc	Tue Apr 17 04:37:52 2007
@@ -1,5 +1,5 @@
 /*
- * DEBUG: section 93  ICAP (RFC 3507) Client
+ * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
 #include "squid.h"
Index: squid3/src/repl/heap/store_repl_heap.cc
diff -u squid3/src/repl/heap/store_repl_heap.cc:1.8 squid3/src/repl/heap/store_repl_heap.cc:1.8.8.1
--- squid3/src/repl/heap/store_repl_heap.cc:1.8	Sun Aug 20 18:51:51 2006
+++ squid3/src/repl/heap/store_repl_heap.cc	Tue Apr 17 04:38:04 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ?     HEAP based removal policies
+ * DEBUG: section 81    Store HEAP Removal Policies
  * AUTHOR: Henrik Nordstrom
  *
  * Based on the ideas of the heap policy implemented by John Dilley of
Index: squid3/src/repl/lru/store_repl_lru.cc
diff -u squid3/src/repl/lru/store_repl_lru.cc:1.9 squid3/src/repl/lru/store_repl_lru.cc:1.9.4.1
--- squid3/src/repl/lru/store_repl_lru.cc:1.9	Sun Sep  3 14:51:50 2006
+++ squid3/src/repl/lru/store_repl_lru.cc	Tue Apr 17 04:38:09 2007
@@ -2,7 +2,7 @@
 /*
  * $Id$
  *
- * DEBUG: section ?     LRU Removal policy
+ * DEBUG: none          LRU Removal Policy
  * AUTHOR: Henrik Nordstrom
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/tests/testStoreSupport.cc
diff -u squid3/src/tests/testStoreSupport.cc:1.1 squid3/src/tests/testStoreSupport.cc:1.1.16.1
--- squid3/src/tests/testStoreSupport.cc:1.1	Fri Aug 11 18:50:51 2006
+++ squid3/src/tests/testStoreSupport.cc	Tue Apr 17 04:38:21 2007
@@ -1,6 +1,6 @@
 
 /*
- * DEBUG: 
+ * DEBUG: none
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
Index: squid3/src/tests/testStoreSupport.h
diff -u squid3/src/tests/testStoreSupport.h:1.1 squid3/src/tests/testStoreSupport.h:1.1.16.1
--- squid3/src/tests/testStoreSupport.h:1.1	Fri Aug 11 18:50:51 2006
+++ squid3/src/tests/testStoreSupport.h	Tue Apr 17 04:38:29 2007
@@ -1,6 +1,6 @@
 
 /*
- * DEBUG: 
+ * DEBUG: none
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/

